petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatSetBlockSizes

Sets the matrix block row and column sizes.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetBlockSizes(Mat mat,PetscInt rbs,PetscInt cbs)

Logically Collective on Mat Many br

### Input Parameters

| mat | - the matrix Many br
| rbs | - row block size Many br

cbs -column block size Many br

### Notes

Block row formats are MATSEQBAIJ, MATMPIBAIJ, MATSEQSBAIJ, MATMPISBAIJ. These formats ALWAYS have square block storage in the matrix. Many brIf you pass a different block size for the columns than the rows, the row block size determines the square block storage. Many br

This must be called before MatSetUp() or MatXXXSetPreallocation() (or will default to 1) and the block size cannot be changed later Many br

The row and column block size determine the blocksize of the "row" and "column" vectors returned by MatCreateVecs(). Many br

Many br

### See Also

MatCreateSeqBAIJ(), MatCreateBAIJ(), MatGetBlockSize(), MatSetBlockSize(), MatGetBlockSizes()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages